Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.crypto.fips.provider
Class RSAPrivateCrtKey

    java.lang.Object
      |
      +--com.ibm.security.pkcsutil.PKCSDerObject
            |
            +--com.ibm.security.pkcs8.PrivateKeyInfo
                  |
                  +--com.ibm.crypto.fips.provider.RSAPrivateCrtKey

All Implemented Interfaces:
  java.lang.Cloneable, java.security.Key, java.security.PrivateKey, java.security.interfaces.RSAKey, java.security.interfaces.RSAPrivateCrtKey, java.security.interfaces.RSAPrivateKey, java.io.Serializable

public final class RSAPrivateCrtKey
extends com.ibm.security.pkcs8.PrivateKeyInfo
implements java.security.interfaces.RSAPrivateCrtKey, java.io.Serializable

An X.509 private crt key for the RSA Algorithm.

Version:
  1.00, 05/11/99
Author:
  Janelle Zhang
See Also:
  Serialized Form

Fields inherited from class com.ibm.security.pkcs8.PrivateKeyInfo
`algid, attributes, key, version`

Fields inherited from class com.ibm.security.pkcsutil.PKCSDerObject
`provider`

Fields inherited from interface java.security.PrivateKey
`serialVersionUID`

Method Summary
`protected void` | `finalize()` This function zeroizes the key so that it isn't in memory when GC is done.
`java.math.BigInteger` | `getCrtCoefficient()` Returns the crtCoefficient.
`java.math.BigInteger` | `getModulus()` Return the modulus.
`java.math.BigInteger` | `getPrimeExponentP()` Returns the primeExponentP.
`java.math.BigInteger` | `getPrimeExponentQ()` Returns the primeExponentQ.
`java.math.BigInteger` | `getPrimeP()` Returns the primeP.
`java.math.BigInteger` | `getPrimeQ()` Returns the primeQ.
`java.math.BigInteger` | `getPrivateExponent()` Return the private exponent.
`java.math.BigInteger` | `getPublicExponent()` Returns the public exponent.
`protected void` | `parseKeyBits()`
`java.lang.String` | `toString()`
`void` | `zeroize()` This function zeroizes the key so that it isn't in memory

Methods inherited from class com.ibm.security.pkcs8.PrivateKeyInfo
`addAttribute, addAttributes, clone, decode, encode, equals, getAlgorithm, getAlgorithmId, getAttribute, getAttributes, getEncoded, getFormat, getKeyBytes, hasAttribute, hasAttributes, hashCode, parseKey, parseKey`

Methods inherited from class com.ibm.security.pkcsutil.PKCSDerObject
`decode, encode, getObjectIdentifier, read, readBASE64, write, write, writeBASE64`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.security.Key
`getAlgorithm, getEncoded, getFormat`

Method Detail

### getModulus

    public java.math.BigInteger getModulus()

  Return the modulus.
  Specified by:
    `getModulus` in interface `java.security.interfaces.RSAKey`

### getPrivateExponent

    public java.math.BigInteger getPrivateExponent()

  Return the private exponent.
  Specified by:
    `getPrivateExponent` in interface `java.security.interfaces.RSAPrivateKey`

### getPublicExponent

    public java.math.BigInteger getPublicExponent()

  Returns the public exponent.
  Specified by:
    `getPublicExponent` in interface `java.security.interfaces.RSAPrivateCrtKey`

### getPrimeP

    public java.math.BigInteger getPrimeP()

  Returns the primeP.
  Specified by:
    `getPrimeP` in interface `java.security.interfaces.RSAPrivateCrtKey`

### getPrimeQ

    public java.math.BigInteger getPrimeQ()

  Returns the primeQ.
  Specified by:
    `getPrimeQ` in interface `java.security.interfaces.RSAPrivateCrtKey`

### getPrimeExponentP

    public java.math.BigInteger getPrimeExponentP()

  Returns the primeExponentP.
  Specified by:
    `getPrimeExponentP` in interface `java.security.interfaces.RSAPrivateCrtKey`

### getPrimeExponentQ

    public java.math.BigInteger getPrimeExponentQ()

  Returns the primeExponentQ.
  Specified by:
    `getPrimeExponentQ` in interface `java.security.interfaces.RSAPrivateCrtKey`

### getCrtCoefficient

    public java.math.BigInteger getCrtCoefficient()

  Returns the crtCoefficient.
  Specified by:
    `getCrtCoefficient` in interface `java.security.interfaces.RSAPrivateCrtKey`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `com.ibm.security.pkcs8.PrivateKeyInfo`

### parseKeyBits

    protected void parseKeyBits()
                         throws java.io.IOException

  Overrides:
    `parseKeyBits` in class `com.ibm.security.pkcs8.PrivateKeyInfo`

### zeroize

    public void zeroize()

  This function zeroizes the key so that it isn't in memory

### finalize

    protected void finalize()

  This function zeroizes the key so that it isn't in memory when GC is done.
  Overrides:
    `finalize` in class `com.ibm.security.pkcs8.PrivateKeyInfo`

Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD